summaryrefslogtreecommitdiffstats
path: root/tests/fate/source-check.sh
diff options
context:
space:
mode:
authorMichael Niedermayer <michael@niedermayer.cc>2016-02-15 03:40:32 +0100
committerMichael Niedermayer <michael@niedermayer.cc>2016-02-15 03:40:32 +0100
commit295de3efc53efa3945c3116b5a910b1464632358 (patch)
tree60b94d2b34afbab8ef611fae49c68748ebec9b60 /tests/fate/source-check.sh
parent00c73c475e3d2d7049eed73ea956f6798365b36a (diff)
downloadffmpeg-streaming-295de3efc53efa3945c3116b5a910b1464632358.zip
ffmpeg-streaming-295de3efc53efa3945c3116b5a910b1464632358.tar.gz
fate/source-check.sh: Use "git show" instead of git --version to test for git
This fixes fate with non git source trees Signed-off-by: Michael Niedermayer <michael@niedermayer.cc>
Diffstat (limited to 'tests/fate/source-check.sh')
-rwxr-xr-xtests/fate/source-check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/fate/source-check.sh b/tests/fate/source-check.sh
index 33affae..ac2878d 100755
--- a/tests/fate/source-check.sh
+++ b/tests/fate/source-check.sh
@@ -2,7 +2,7 @@
cd "$1"/..
-git --version > /dev/null || { cat tests/ref/fate/source ; exit 0; }
+git show > /dev/null 2> /dev/null || { cat tests/ref/fate/source ; exit 0; }
echo Files without standard license headers:
git grep -L -E "This file is part of FFmpeg|This file is part of libswresample|"\
OpenPOWER on IntegriCloud